Bug Hunting Session
Bug 85584 - Sorting: option UpdateReferenceOnSort should be set to false by default
Summary: Sorting: option UpdateReferenceOnSort should be set to false by default
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: All All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on: 81633
Blocks: mab4.2 85490 85614
  Show dependency treegraph
 
Reported: 2014-10-29 05:45 UTC by Jean-Baptiste Faure
Modified: 2017-10-18 17:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2014-10-29 05:45:53 UTC
According to many discussions on bugs 81309, 81633, 85215 and 85490 and others, I think that for a better backward compatibility, the configuration option UpdateReferenceOnSort should be set to false by default. 
Use-Cases collected in bug 85490 seems to shows that the cases where the value false in required are more frequent than the case where the value true is needed.

Best regards. JBF
Comment 1 Luke 2014-10-29 06:40:18 UTC
Jean-Baptiste Faure,
Thank you for taking point on this important issue. I'm sure it's not easy weeding though all those angry comments over a feature that should have never been introduced. We're lucky to have your help on this.

We need to ensure that the backport get reverted before 4.2.7 is released. Are you on that? UpdateReferenceOnSort=false needs to be the default value for both the 4.3.x and 4.4.x line.
Comment 2 Michael Meeks 2014-11-03 12:27:19 UTC
Kendy - FYI - this is the bug for the UX team to decide on for 4.4 =)
Comment 3 Joel Madero 2014-11-06 15:11:28 UTC
Removing from MAB as there is no consensus on if this should even be done. UX should be the one to decide, not a few users who are irritated. I personally disagree with off by default so - we can find users on both sides and arguing over defaults is time consuming. Let them decide - until then, not a MAB
Comment 4 Mirco 2014-11-08 11:01:44 UTC
Hi all,

discussions are important, but when changes (like this one) introduces different perceptions of the same data I think that discussion about having no changes in the defacto usage of sort in spreadsheet should have only one output -> consensous.

From my perspective (professional and home user of StarOffice, OpenOffice and Libreoffice) this changes is an error. And people need to trust their spredsheet outcomes, not to decide what's the useful outcome.

I have simple and more complex spreadsheet, where sort is made on areas with formulas, and the result is always messed up (tried to make Absolute References in formulas, but to no avail).

I was using Libreoffice (now at version: 4.2.7.2 Build ID: 420m0(Build:2) in Mint 17, and I have to go with Apache Open Office due to the uncertainty that now LibreOffice spreadsheet shows.

Moreover MS Excel files are changed too - so when you receive a MS Excel file, change it and send back - the receiver (maybe an MSOffice only user) got a scrambled file..

So please come back ASAP with a definitive patch - don't look only at our LibreOffice users, but also to the side effects on other non LibreOffice users.

I'm curious about why this change was introduced (what solves) and if any evaluation about impact was taken in consideration.

Regards

Mirco
Comment 5 Joel Madero 2014-11-08 17:34:00 UTC
With defaults there is literally never a consensus (or very rarely). The change was made because previously users said that it was causing them grief (and they had an equal amount of examples). I personally think that logically the change makes sense. So consensus won't get us anywhere because there is no consensus to be found - that's why UX has to decide in an objective way.
Comment 6 Michael Meeks 2014-11-08 17:42:25 UTC
So - before we generate more applied angst on the topic - it might be worth reading the ESC minutes. UX decided that we should indeed default this to false.

Of course - now we just needs some *developer* to commit that change to master and ensure the tests still pass.
Comment 7 Andrew Cunningham 2014-11-09 05:32:11 UTC
Joel,
Based on your comments here and the related bugs, you obviously do not have a solid grasp on this problem and are not an expert spreadsheet user. For professionals this is a critical issue. By deprioritizing it, we will be sending a message that LibreOffice is in the same category as MS Works. If you want to help, it’s best to leave this to the people that understand the problem and its effects on the users. 
	
I just Googled it, and according to your wiki, bugs that cause data loss are MABs, so this does indeed qualify. 4.2.7 is half-baked and needs to be fixed.
Comment 8 crtz 2014-11-09 07:16:02 UTC
I have been one of the lucky ones, who discovered this bug through Reddit, before it could do any damage to my spreadsheets. Reading over the bug reports, it clear that over the history of the LibreOffice project only a few people have ever even asked for this new sorting behavior. By implementing this questionable feature, in a matter of days you have almost 20 bug reports and hundreds of people comments here and on Reddit.  

> The change was made because previously users said that it was causing them 
> grief (and they had an equal amount of examples). I personally think that 
> logically the change makes sense.

No it is not logical port an untested feature to the stable branch. With LibreOffice making front page of the IT magazines, is that really the best you can come up with? There's no consensus because a single user wanted it? What’s logical is NOT porting features that break backwards compatibility. What’s logical is supporting those features IF you make that questionable decision to back port them.

Frankly, the leader of LibreOffice should be embarrassed. The ESC ignored multiple warnings and now you're pretending like it's a feature people need, even though you're own efforts to find a valid use case, seemed turned up nothing.  And you ignore the fact that this “feature” is incompatible with previous versions and ALL other major spreadsheet programs out there.  

Being a huge open source fan boy, I have donated and tried to talk my IT department into adopting LibreOffice. Seeing how this is handled it will probably be my last and understand why we stuck with Microsoft.
Comment 9 Commit Notification 2014-11-10 08:29:07 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4301696e6dba0b4e9bc5aa8c98c05e42529bd80c

fdo#85584: Don't update references on sort by default.

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Michael Meeks 2014-11-10 09:04:44 UTC
As per UX discussion, fixed in master.
Comment 11 Commit Notification 2014-11-10 11:24:45 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=447d523fa7c6c82476f9ee48e4b9c82cfad05c50

fdo#85584: Adapt the unit test to the new default.

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Mirco 2014-11-19 05:09:44 UTC
HI all

thanks for the effort. But on the LibreOffice Dowload page there's still 3 stbale versions (4.2.7, 4.3.3 and 4.3.4). IMHO it should be better having only one (4.3.4) and remove all the others. This feature/bug caused data corruption - and we need to be proactive.

Rgds

Mirco
Comment 13 Eike Rathke 2014-11-20 23:04:11 UTC
Note to the ravings: it is only Ubuntu and derivates (Mint,...) 4.2.7 that is affected by a change backported that lacks additional required changes. The TDF 4.2.7 builds do not include the hidden UpdateReferenceOnSort backport.